Pular para o conteúdo principal
POST
/
v1.0
/
events
Criar um ou mais eventos
curl --request POST \
  --url https://api.thatsme.com.br/api/v1.0/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    {
      "name": "<string>",
      "description": "<string>",
      "state": "<string>",
      "city": "<string>",
      "country": "<string>",
      "latitude": 123,
      "longitude": 123,
      "timezone": "<string>",
      "address": "<string>",
      "initial_date": "<string>",
      "finish_date": "<string>",
      "official_url": "<string>",
      "image_url": "<string>",
      "image_key": "<string>",
      "is_private": true,
      "start_time": "<string>",
      "end_time": "<string>",
      "recurrence_start_date": "<string>",
      "connected_event_ids": [
        "<string>"
      ]
    }
  ]
}
'
import requests

url = "https://api.thatsme.com.br/api/v1.0/events"

payload = { "events": [
{
"name": "<string>",
"description": "<string>",
"state": "<string>",
"city": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"timezone": "<string>",
"address": "<string>",
"initial_date": "<string>",
"finish_date": "<string>",
"official_url": "<string>",
"image_url": "<string>",
"image_key": "<string>",
"is_private": True,
"start_time": "<string>",
"end_time": "<string>",
"recurrence_start_date": "<string>",
"connected_event_ids": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
name: '<string>',
description: '<string>',
state: '<string>',
city: '<string>',
country: '<string>',
latitude: 123,
longitude: 123,
timezone: '<string>',
address: '<string>',
initial_date: '<string>',
finish_date: '<string>',
official_url: '<string>',
image_url: '<string>',
image_key: '<string>',
is_private: true,
start_time: '<string>',
end_time: '<string>',
recurrence_start_date: '<string>',
connected_event_ids: ['<string>']
}
]
})
};

fetch('https://api.thatsme.com.br/api/v1.0/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json

Objeto com os atributos de um evento ou array de eventos

events
object[]
obrigatório

Um evento ou array de eventos para criação

Minimum array length: 1

Resposta

Evento(s) criado(s) com sucesso